
QGIS Application - Bug report #4185

Globe and zonal statistics plugins do not properly unload

2011-08-16 03:51 PM - Alister Hood

Status: Closed

Priority: Low

Assignee: Pirmin Kalberer

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14160

Description

It seems that these plugins do not properly unload when disabled in the plugin manager.

Please see #4177

Associated revisions

Revision bc63fcd3 - 2013-08-28 02:49 PM - Alexander Bruy

correctly unload Globe plugin (fix #4185)

History

#1 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-01-11 06:31 AM - Alexander Bruy

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

Unloading of Zonal Statistics plugin should be fixed in master. Please check

#3 - 2012-01-11 09:37 PM - Alister Hood

Alexander Bruy wrote:

Unloading of Zonal Statistics plugin should be fixed in master. Please check

Yes, that's good.

#4 - 2012-01-12 08:28 AM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to fixed

#5 - 2012-01-12 01:08 PM - Alister Hood

- Status changed from Closed to Reopened

- % Done changed from 0 to 50
No - it is only half fixed.

The Globe plugin still doesn't unload.

#6 - 2012-01-12 01:43 PM - Pirmin Kalberer

- Assignee set to Pirmin Kalberer

#7 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#8 - 2012-09-04 11:58 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2013-08-28 05:49 AM - Alexander Bruy

- Status changed from Reopened to Closed

Fixed in changeset commit:"bc63fcd374f1ad4d707bbe5eadfe59222366d37c".

#10 - 2013-08-28 05:50 AM - Alexander Bruy

- % Done changed from 50 to 100
